### Enumeration

# Fwupd VersionFormat

#### Declaration

    enum Fwupd.VersionFormat

#### Description [src]

The flags used when parsing version numbers.

If no verification is required then `FWUPD_VERSION_FORMAT_PLAIN` should be used to signify an unparsable text string.

#### Members

`FWUPD_VERSION_FORMAT_UNKNOWN`

  Unknown version format.

  - Value: `0`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_PLAIN`

  An unidentified format text string.

  - Value: `1`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_NUMBER`

  A single integer version number.

  - Value: `2`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_PAIR`

  Two AABB.CCDD version numbers.

  - Value: `3`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_TRIPLET`

  Microsoft-style AA.BB.CCDD version numbers.

  - Value: `4`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_QUAD`

  UEFI-style AA.BB.CC.DD version numbers.

  - Value: `5`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_BCD`

  Binary coded decimal notation.

  - Value: `6`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_INTEL_ME`

  Intel ME-style bitshifted notation.

  - Value: `7`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_INTEL_ME2`

  Intel ME-style A.B.CC.DDDD notation notation, with offset 11.

  - Value: `8`
  - Available since: 1.2.9
`FWUPD_VERSION_FORMAT_SURFACE_LEGACY`

  Legacy Microsoft Surface 10b.12b.10b.

  - Value: `9`
  - Available since: 1.3.4
`FWUPD_VERSION_FORMAT_SURFACE`

  Microsoft Surface 8b.16b.8b.

  - Value: `10`
  - Available since: 1.3.4
`FWUPD_VERSION_FORMAT_DELL_BIOS`

  Dell BIOS BB.CC.DD style.

  - Value: `11`
  - Available since: 1.3.6
`FWUPD_VERSION_FORMAT_HEX`

  Hexadecimal 0xAABCCDD style.

  - Value: `12`
  - Available since: 1.4.0
`FWUPD_VERSION_FORMAT_DELL_BIOS_MSB`

  Dell BIOS AA.BB.CC style.

  - Value: `13`
  - Available since: 1.9.24
`FWUPD_VERSION_FORMAT_INTEL_CSME19`

  Intel ME-style bitshifted notation, with offset 19.

  - Value: `14`
  - Available since: 2.0.4